#!/usr/bin/tclsh
########################################################################
# Copyright (c) 2004 by Hartmut Schwarz, matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
########################################################################

# get clockwork music track info converted to ascii

########################################################################
# function definition section                                          #
########################################################################

# load common functions
source various.tcl
source wavinfo.tcl

# set up additional tools
set trackinfo "[file dirname $argv0]/trackinfo.tcl" ;

########################################################################
# program execution section                                            #
########################################################################

if { [catch { set result [eval [linsert $argv 0 exec $trackinfo]] } ] } {
    exit 1;
} else {
    puts [replace_ascii $result];
    exit 0;
}
