# ---------------------------------------------------------------
# Csound Tcl Partitur-Skript      "Der Mond ist aufgegangen"
# Copyright (c) 2002 by Hartmut Schwarz, matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ---------------------------------------------------------------

# Bevor es losgeht, ganz schnell die abc-Notation lernen.
source "basics/notes_abc.tcl";

# ---------------------------------------------------------------
N-line { tmsg 4/4
M {               .    .    .    .    .    .        .    }
N             "16:F___ G___ F___ H-__ A___ G_______ F___ "
L             " Der  Mond  ist  auf- ge-  gan-     gen,  " }
# ----------------0----.----.----.----1----.---.----.----|-------
N-line {
M {               .    .    .    .    .    _        _    }
N             "16:A___ A___ A___ d___ c___ H-______ A___ "
L             "  die  gold-nen Stern-lein pran-    gen   " }
# ----------------2----.----.----.----3----.---.----.----|-------
N-line {
M {               .    .    .    .    .    .          .  }
N             "16:A___ A___ A___ H-__ A___ G_________ P_ "
L             "  am   Him- mel  hell und  klar.          " }
# ----------------4----.----.----.----5----.---.---.-----|-------
N-line {
M {               .    .    .    .    .    .        .    }
N             "16:F___ G___ F___ H-__ A___ G_______ F___ "
L             " Der Wald steht schwarz und schwei- get,  " }
# ----------------6----.----.----.----7----.---.----.----|-------
N-line {
M {               .    .    .    .    .    .        .    }
N             "16:A___ A___ A___ d___ c___ H-______ A___ "
L             "  und  aus  den  Wie- sen  stei-    get   " }
# ----------------8----.----.----.----9----.---.----.----|-------
N-line {
M {            .    .    .    .    .    .    .    *      }
N          "16:A___ A___ A___ H-__ A___ G___ G___ F_____ "
L          "  der  wei- sse   Ne- bel  wun- der- bar.    " }
# ------------10----.----.----.---11----.----.----.---.--|-------

# Fuer weitere Lieder wieder 123-Notation lernen
source "basics/notes_123.tcl";
