# ----------------------------------------------------------------------------
# Csound Tcl Partitur-Skript   "Der Mond ist aufgegangen"          SEP-21-2002
# Copyright (c) 2002 by Hartmut Schwarz               matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ----------------------------------------------------------------------------

# ------------------------------------ ins Tcl-Arbeitsverzeichnis wechseln ---
cd "[file dirname $argv0]/..";

# ------------------------------------------- allgemeine Grundlagen lernen ---
source "basics/ref.tcl";   # alles ueber Referenzvariablen
source "basics/tree.tcl";  # alles ueber Datenbaeume

# --------------------------------- die Grundlagen der Csound-Musik lernen ---
source "basics/music.tcl";

# ------------------------------------------------------ das Spiel beginnt ---
set root [plant]; # einen neuen Klangbaum pflanzen
set stem [TREEnew $root {idst 60 song {play_score der_mond_ist_aufgegangen}}];
sprout $stem {kybs  48 vlbs 77 isze 0}\
             {kybs  36 vlbs 75}\
             {kybs  24 vlbs 73}\
             {kybs  12 vlbs 71}\
             {kybs   0 vlbs 69}\
             {kybs -12 vlbs 67}\
             {kybs -24 vlbs 65}\
             {kybs -36 vlbs 63}\
             ;
begin $root "[file rootname [file tail $argv0]]" 0.0; # Anschluss kalinka
touch $stem 8;
end $root 0.5;
